./devel/ruby-rcov, Code coverage analysis for Ruby

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0.0nb1, Package name: ruby18-rcov-1.0.0nb1, Maintainer: pkgsrc-users

Ruby-rcov is a code coverage tool for Ruby. It is commonly used for
viewing overall test unit coverage of target code. It features fast
execution (20-300 times faster than previous tools), multiple analysis
modes, XHTML and several kinds of text reports, easy automation with
Rake via a RcovTask, fairly accurate coverage information through code
linkage inference using simple heuristics, and colorblind-friendliness.


Required to run:
[misc/rubygems] [lang/ruby18-base]

Required to build:
[misc/rubygems]

Master sites:

SHA1: 83c01afe0936c2310425399b21402d6f74865b04
RMD160: ba26544e3c422b632781c3ab6ac781a488371b30
Filesize: 58 KB

Version history: (Expand)


CVS history: (Expand)


   2016-09-08 17:19:19 by Joerg Sonnenberger | Files touched by this commit (42)
Log message:
Rename RUBY_VERSION_SUPPORTED into _RUBY_VERSIONS_ACCEPTED to follow the
naming scheme of the other multi-version packages. Add support for the
coorresponding RUBY_VERSIONS_INCOMPATIBLE list.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-03-08 17:01:26 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
Bump PKGREVISION refelcts PLIST update.
   2015-03-08 16:17:22 by Takahiro Kambe | Files touched by this commit (58) | Package updated
Log message:
Add ${GEM_EXTSDIR}/gem.build_complete for new rubygems and updated ruby.
   2015-03-01 16:50:01 by Takahiro Kambe | Files touched by this commit (2)
Log message:
* Use rubygems's --format-executable option instead of post-install target.
* Fix PLIST with newer rubygems and ruby21.
   2014-03-17 15:07:06 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Use RUBY_SUFFIX instead of RUBY_VER.
   2014-03-13 12:08:54 by Jonathan Perkin | Files touched by this commit (67)
Log message:
Set USE_GCC_RUNTIME=yes for packages which build shared libraries but do
not use libtool to do so.  This is required to correctly depend upon a
gcc runtime package (e.g. gcc47-libs) when using USE_PKGSRC_GCC_RUNTIME.
   2012-03-20 11:25:47 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-rcov to 1.0.0.

Exact changes are unknown but it would be last stable release for Ruby 1.8.7.